<?
 /*SCRIPT PARA MANTENIMIENTO DE EVALUACIONES */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();
  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }
  switch($tipo_trn){
   case "Add":
    if(!$txtnombre){
      alert("Ingrese un nombre que identifique a la evaluación.","javascript:history.go(-1)");
    }
    $f_inicio=$txtdyear."-".$txtdmes."-".$txtddia;
    $f_fin=$txthyear."-".$txthmes."-".$txthdia;
    if(!@checkdate($txtdmes,$txtddia,$txtdyear) or !@checkdate($txthmes,$txthdia,$txthyear)){
      alert("Verifique las fechas de inicio - fin","javascript:history.go(-1)");
    }
    $h_inicio=$txtdhora.":".$txtdmin.":00";
    $h_fin=$txthhora.":".$txthmin.":00";
    if(!isset($txtactiva)){
     $txtactiva="N";
    }
                $sql="insert into
                      ec_evaluaciones
                      set nombre='$txtnombre',
                      fecha_inicio='$f_inicio $h_inicio',
                      fecha_fin='$f_fin $h_fin',
                      activa='$txtactiva',
                      usuario='$uuser'";
                 $ins=mysql_query($sql);
                 $id_ev=mysql_insert_id();
                 if($ins){alert("Evaluación a catedrático(s): $txtnombre\\nagregada con éxito","frm_ec_prg.php?ide=".enc($id_ev));}else{echo "ERROR: ".mysql_error();}
   break;
   case "Update":
    $id_ev=dec($ide);
    $qver=mysql_query("select * from ec_evaluaciones where id = '$id_ev'");
    // verificar si tiene permiso para ese curso
    if(mysql_num_rows($qver)==0){
      alert("ERROR: La evaluación a catedrático no existe","javascript:history.go(-1)");
    }
    $midc=base64_decode($idc);
       $f_inicio=$txtdyear."-".$txtdmes."-".$txtddia;
       $f_fin=$txthyear."-".$txthmes."-".$txthdia;
       $h_inicio=$txtdhora.":".$txtdmin.":00";
       $h_fin=$txthhora.":".$txthmin.":00";
                $sql="update
                      ec_evaluaciones
                      set nombre='$txtnombre',
                      fecha_inicio='$f_inicio $h_inicio',
                      fecha_fin='$f_fin $h_fin',
                      activa='$txtactiva',
                      usuario='$uuser'
                      where id = $id_ev";
                 $upd=mysql_query($sql);
                 if($upd){alert("Evaluación a catedrático(s): $txtnombre\\nactualizada con éxito","frm_ec_prg.php?ide=".enc($id_ev));}else{echo "ERROR: ".mysql_error();}
   break;
   default:
    alert("Parmetros incorrectos","javascript:history.go(-1)");
  }
?>
